%bcond_without check

%global goipath         github.com/go-openapi/inflect
Version:                0.19.0

%gometa

%global common_description %{expand:
This is a Go library to perform word transformations like pluralization,
singularization, etc. It is a fork of https://bitbucket.org/pkg/inflect.}

%global golicenses      LICENCE
%global godocs          README

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go library to perform word transformations

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Aug 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
